﻿using System.Windows.Input;
using PdfSample.ViewModels;
using Xamarin.Forms;

namespace PdfSample.Views
{

    public class MainViewModel
    {
        public ICommand OpenPDF { get; set; }
    }

    public partial class MainPage : ContentPage
    {
        PdfSheetViewModel _pdfViewModel;

        public MainPage()
        {
            MainViewModel viewModel = new MainViewModel();
            BindingContext = viewModel;
            viewModel.OpenPDF = new Command(async () =>
           {
               if (_pdfViewModel == null)
               {
                   _pdfViewModel = new PdfSheetViewModel();
               }
               await Navigation.PushAsync(new PdfSheetView(_pdfViewModel));
           });
            InitializeComponent();
        }

        
    }
}
