﻿using System;
using System.IO;
using System.Reflection;
using PdfSample.ViewModels;
using Xamarin.Forms;

namespace PdfSample.Views
{
    public partial class PdfSheetView : ContentPage
    {

        public PdfSheetViewModel ViewModel { get; set; }

        public PdfSheetView(PdfSheetViewModel _pdfViewModel)
        {
            BindingContext = ViewModel = _pdfViewModel;
            InitializeComponent();
            pdfViewerControl.DocumentLoaded += PdfViewerControl_DocumentLoaded;
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();

            if (pdfViewerControl.InputFileStream == null)
            {
                pdfViewerControl.InputFileStream = ViewModel.PdfSheetStream;
            }

        }

        private void PdfViewerControl_DocumentLoaded(object sender, EventArgs args)
        {
            try
            {
                pdfViewerControl.PageNumber = (int)ViewModel.PageNumber;
            }
            catch
            {

            }
        }
    }
}
